Home
last modified time | relevance | path

Searched refs:echo (Results 1 – 25 of 676) sorted by relevance

12345678910>>...28

/freebsd-9-stable/contrib/bmake/unit-tests/
Dmodword28 @echo 'LIST:[]="${LIST:[]}" is an error'
29 @echo 'LIST:[0]="${LIST:[0]}"'
30 @echo 'LIST:[0x0]="${LIST:[0x0]}"'
31 @echo 'LIST:[000]="${LIST:[000]}"'
32 @echo 'LIST:[*]="${LIST:[*]}"'
33 @echo 'LIST:[@]="${LIST:[@]}"'
34 @echo 'LIST:[0]:C/ /,/="${LIST:[0]:C/ /,/}"'
35 @echo 'LIST:[0]:C/ /,/g="${LIST:[0]:C/ /,/g}"'
36 @echo 'LIST:[0]:C/ /,/1g="${LIST:[0]:C/ /,/1g}"'
37 @echo 'LIST:[*]:C/ /,/="${LIST:[*]:C/ /,/}"'
[all …]
Dforloop14 X!= echo 'x=$x' >&2; echo
20 X!= echo 'x=$x' >&2; echo
27 X!= echo 'cfl=${cfl}' >&2; echo
34 X!= echo 'a=$a b=$b' >&2; echo
39 X!= echo 'a=$a b=$b' >&2; echo
43 @echo We expect an error next:
45 { echo "Oops that should have failed!"; exit 1; } || echo OK
Dposix6 @echo "Posix says we should execute the command as if run by system(3)"
7 @echo "Expect 'Hello,' and 'World!'"
8 @echo Hello,; false; echo "World!"
11 @echo a command
12 +@echo "a command prefixed by '+' executes even with -n"
13 @echo another command
16 @echo make -n
18 @echo make -n -j1
22 @(echo Now we expect an error...; exit 1)
23 @echo "Oops! you shouldn't see this!"
Dmodts15 .if ${type print 2> /dev/null || echo:L:sh:Mbuiltin} != ""
17 .elif ${type printf 2> /dev/null || echo:L:sh:Mbuiltin} != ""
20 PRINT= echo
24 @echo 'LIST="${LIST}"'
25 @echo 'LIST:ts,="${LIST:ts,}"'
26 @echo 'LIST:ts/:tu="${LIST:ts/:tu}"'
27 @echo 'LIST:ts::tu="${LIST:ts::tu}"'
28 @echo 'LIST:ts:tu="${LIST:ts:tu}"'
29 @echo 'LIST:tu:ts/="${LIST:tu:ts/}"'
30 @echo 'LIST:ts:="${LIST:ts:}"'
[all …]
Dmoderrs14 @echo "Expect: Unknown modifier 'Z'"
15 @echo "VAR:Z=${VAR:Z}"
18 @echo "Expect: Unknown modifier 'Z'"
19 @echo "VAR:${MOD_UNKN}=${VAR:${MOD_UNKN}}"
22 @echo "Expect: Unclosed variable specification for VAR"
23 @echo VAR:S,V,v,=${VAR:S,V,v,
26 @echo "Expect: Unclosed variable specification for VAR"
27 @echo VAR:${MOD_TERM},=${VAR:${MOD_S}
30 @echo "Expect: Unclosed substitution for VAR (, missing)"
31 -@echo "VAR:${MOD_TERM}=${VAR:${MOD_TERM}}"
Dhash11 @echo ${STR1:hash}
12 @echo ${STR2:hash}
13 @echo ${STR3:hash}
14 @echo ${STR4:hash}
15 @echo ${STR5:hash}
16 @echo ${STR6:hash}
17 @echo ${STR7:hash}
18 @echo ${STR8:hash}
Dmodorder6 TEST_RESULT= && echo Ok || echo Failed
11 @echo "LIST = ${LIST}"
12 @echo "LIST:O = ${LIST:O}"
17 @echo "LIST:Ox = `test '${LIST:Ox}' != '${LIST:Ox}' ${TEST_RESULT}`"
18 @echo "LIST:O:Ox = `test '${LIST:O:Ox}' != '${LIST:O:Ox}' ${TEST_RESULT}`"
19 @echo "LISTX = `test '${LISTX}' != '${LISTX}' ${TEST_RESULT}`"
20 @echo "LISTSX = `test '${LISTSX}' = '${LISTSX}' ${TEST_RESULT}`"
21 @echo "BADMOD 1 = ${LIST:OX}"
22 @echo "BADMOD 2 = ${LIST:OxXX}"
/freebsd-9-stable/tools/regression/bin/sh/builtins/
Dread1.04 echo "1 2 3" | { read a; echo "x${a}x"; }
5 echo "1 2 3" | { read a b; echo "x${a}x${b}x"; }
6 echo "1 2 3" | { read a b c; echo "x${a}x${b}x${c}x"; }
7 echo "1 2 3" | { read a b c d; echo "x${a}x${b}x${c}x${d}x"; }
9 echo " 1 2 3 " | { read a b c; echo "x${a}x${b}x${c}x"; }
10 echo " 1 2 3 " | { unset IFS; read a b c; echo "x${a}x${b}x${c}x"; }
11 echo " 1 2 3 " | { IFS=$(printf ' \t\n') read a b c; echo "x${a}x${b}x${c}x"; }
12 echo " 1 2 3 " | { IFS= read a b; echo "x${a}x${b}x"; }
14 echo " 1,2 3 " | { IFS=' ,' read a b c; echo "x${a}x${b}x${c}x"; }
15 echo ", 2 ,3" | { IFS=' ,' read a b c; echo "x${a}x${b}x${c}x"; }
[all …]
Dlineno.02 echo $LINENO
3 echo $LINENO
6 echo $LINENO
7 echo $LINENO
12 echo ${LINENO:-foo}
13 echo ${LINENO=foo}
14 echo ${LINENO:+foo}
15 echo ${LINENO+foo}
16 echo ${#LINENO}
Dcase8.05 *) echo Failed at $LINENO ;;
9 [[:alpha:][:digit:]]) echo Failed at $LINENO ;;
11 *) echo Failed at $LINENO ;;
15 *[[:lower:]]*) echo Failed at $LINENO ;;
17 *) echo Failed at $LINENO ;;
21 [![:print:]]) echo Failed at $LINENO ;;
23 *) echo Failed at $LINENO ;;
28 [[:print:]]) echo Failed at $LINENO ;;
31 *) echo Failed at $LINENO ;;
/freebsd-9-stable/tools/regression/bin/sh/expansion/
Dset-u1.03 ${SH} -uc 'unset foo; echo $foo' 2>/dev/null && exit 1
4 ${SH} -uc 'foo=; echo $foo' >/dev/null || exit 1
5 ${SH} -uc 'foo=1; echo $foo' >/dev/null || exit 1
7 ${SH} -uc 'unset foo; echo ${foo-}' >/dev/null || exit 1
8 ${SH} -uc 'unset foo; echo ${foo+}' >/dev/null || exit 1
9 ${SH} -uc 'unset foo; echo ${foo=}' >/dev/null || exit 1
11 ${SH} -uc 'unset foo; echo ${#foo}' 2>/dev/null && exit 1
12 ${SH} -uc 'foo=; echo ${#foo}' >/dev/null || exit 1
13 ${SH} -uc 'unset foo; echo ${foo#?}' 2>/dev/null && exit 1
14 ${SH} -uc 'foo=1; echo ${foo#?}' >/dev/null || exit 1
[all …]
Dcmdsubst2.07 echo "Failed: $*"
12 check '`echo /et[c]/` = "/etc/"'
14 check '"`echo /et[c]/`" = "/etc/"'
15 check '`echo "/et[c]/"` = "/etc/"'
18 check '"`echo \"/et[c]/\"`" = "/et[c]/"'
19 check '"`echo "/et[c]/"`" = "/et[c]/"'
20 check '`echo $$` = $$'
21 check '"`echo $$`" = $$'
22 check '`echo \$\$` = $$'
23 check '"`echo \$\$`" = $$'
[all …]
Dtrim7.04 [ "${##1}" = 3 ] || echo '${##1} wrong'
5 [ "${###1}" = 3 ] || echo '${###1} wrong'
6 [ "${###}" = 13 ] || echo '${###} wrong'
7 [ "${#%3}" = 1 ] || echo '${#%3} wrong'
8 [ "${#%%3}" = 1 ] || echo '${#%%3} wrong'
9 [ "${#%%}" = 13 ] || echo '${#%%} wrong'
11 [ "${##0}" = "" ] || echo '${##0} wrong'
12 [ "${###0}" = "" ] || echo '${###0} wrong'
13 [ "${###}" = 0 ] || echo '${###} wrong'
14 [ "${#%0}" = "" ] || echo '${#%0} wrong'
[all …]
Dquestion1.08 (echo ${x?abcdefg}) 2>&1 | grep -q abcdefg || exit 1
9 ${SH} -c 'unset foo; echo ${foo?}' 2>/dev/null && exit 1
10 ${SH} -c 'foo=; echo ${foo:?}' 2>/dev/null && exit 1
11 ${SH} -c 'foo=; echo ${foo?}' >/dev/null || exit 1
12 ${SH} -c 'foo=1; echo ${foo:?}' >/dev/null || exit 1
13 ${SH} -c 'echo ${!?}' 2>/dev/null && exit 1
14 ${SH} -c ':& echo ${!?}' >/dev/null || exit 1
15 ${SH} -c 'echo ${#?}' >/dev/null || exit 1
16 ${SH} -c 'echo ${*?}' 2>/dev/null && exit 1
17 ${SH} -c 'echo ${*?}' ${SH} x >/dev/null || exit 1
[all …]
Dcmdsubst10.06 [ "$a1" = "$a2" ] || echo Error at line $LINENO
12 [ "$a1" = "$a2" ] || echo Error at line $LINENO
14 [ "$(command -V pwd)" = "$(command -V pwd; exit $?)" ] || echo Error at line $LINENO
18 [ "$v" = 1 ] || echo Error at line $LINENO
22 [ "$rotest" = 1 ] || echo Error at line $LINENO
27 *u*) echo Error at line $LINENO ;;
34 *u*) echo Error at line $LINENO ;;
41 *u*) echo Error at line $LINENO ;;
49 [ "$u1" = "$u2" ] || echo Error at line $LINENO
51 dummy=$(exit 3); [ $? -eq 3 ] || echo Error at line $LINENO
/freebsd-9-stable/release/
Dfixit.profile18 echo '+---------------------------------------------------------------+'
19 echo '| You are now running from FreeBSD "fixit" media. |'
20 echo '| ------------------------------------------------------------- |'
21 echo "| When you're finished with this shell, please type exit. |"
22 echo '| The fixit media is mounted as /mnt2. |'
23 echo '| |'
24 echo '| You might want to symlink /mnt/etc/*pwd.db and /mnt/etc/group |'
25 echo '| to /etc after mounting a root filesystem from your disk. |'
26 echo '| tar(1) will not restore all permissions correctly otherwise! |'
27 echo '| |'
[all …]
/freebsd-9-stable/tools/tools/nanobsd/gateworks/
Dcommon30 echo "cd ${NANO_TOOLS}/gateworks/Files"
46 echo "(cd tools/tools/net80211/$f; make $1)";
67 echo "cd tools/tools/ath; make clean" | buildenv
71 echo "cd tools/tools/ath; make" | buildenv
75 echo "cd tools/tools/ath; make install" | buildenv
83 echo "cd tools/tools/npe; make clean" | buildenv
87 echo "cd tools/tools/npe; make" | buildenv
91 echo "cd tools/tools/npe; make install" | buildenv
175 echo "root_rw_mount=NO" >> etc/defaults/rc.conf
178 echo "NANO_DRIVE=${NANO_DRIVE}" > etc/nanobsd.conf
[all …]
/freebsd-9-stable/tools/tools/nanobsd/rescue/
Dcommon51 # echo "-S115200 -h" > boot.config
52 # echo "console=\"comconsole\"" > boot/loader.conf
53 # echo "comconsole_speed=\"115200\"" >> boot/loader.conf
54 # echo "hint.acpi.0.disabled=\"1\"" >> boot/loader.conf
63 echo "hostname=\"rescue\"" > etc/rc.conf
64 echo "font8x14=\"iso15-8x14\"" >> etc/rc.conf
65 echo "font8x16=\"iso15-8x16\"" >> etc/rc.conf
66 echo "font8x8=\"iso15-8x8\"" >> etc/rc.conf
67 echo "keymap=\"german.iso\"" >> etc/rc.conf
68 echo "#ifconfig_fxp0=\"AUTO\"" >> etc/rc.conf
[all …]
/freebsd-9-stable/contrib/binutils/ld/
Dconfigure.host13 …"$libunwind" != xlibunwind.a ]; then libgcc="$libgcc $libunwind"; fi; fi; echo --start-group $libg…
22 …HOSTING_CRT0='-dynamic-linker `[ -f \`${CC} --print-prog-name=ld-elf.so.1\` ] || echo /usr/libexec…
23 …t-file-name=libc.so\`` '"$HOSTING_LIBS"' `if [ -f ../gcc/crtend.o ]; then echo ../gcc/crtend.o; el…
31 …/crti.o `if [ -f ../gcc/crtbegin.o ]; then echo ../gcc/crtbegin.o; elif [ -f /usr/lib/crtbegin.o ]…
32 …TING_LIBS"' `if [ -f ../gcc/crtend.o ]; then echo ../gcc/crtend.o; elif [ -f /usr/lib/crtend.o ]; …
36 …t1.o` `${CC} --print-file-name=crti.o` `if [ -f ../gcc/crtbegin.o ]; then echo ../gcc/crtbegin.o; …
37 …t-file-name=libc.so\`` '"$HOSTING_LIBS"' `if [ -f ../gcc/crtend.o ]; then echo ../gcc/crtend.o; el…
89 HOSTING_CRT0=`echo "$HOSTING_CRT0" | sed -e "s,ld\[^ \]\*,ld-linux,g"`
93 HOSTING_CRT0='-p '`echo "$HOSTING_CRT0" | sed -e "s,ld\[^ \]\*,ld-linux,g"`
99 …HOSTING_LIBS='--start-group `if [ -f ../gcc/libgcc.a ]; then echo ../gcc/libgcc.a; else if test "$…
[all …]
/freebsd-9-stable/contrib/dialog/samples/copifuncs/
Dcopi.ifpoll225 echo Rearranging logs...
30 echo "`date \"+%b %d %T\"` ifpoll[$$]: starting" # >> $INFO_TTY
35 echo "*** run $0 as the owner of ifcico ***"
36 echo "`date \"+%b %d %T\"` ifpoll[$$]: wrong uid (rc 2)" # >> $INFO_TTY
44 echo "usage: ifpoll [<node>]"
60 echo -n "`date \"+%b %d %T\"` ifpoll[$$]: $i. try ($NODE) " # >> $INFO_TTY
67 echo "failed" # >> $INFO_TTY
73 echo "ok :)" # >> $INFO_TTY
80 echo "`date \"+%b %d %T\"` ifpoll[$$]: unpacking.. " # >> $INFO_TTY
90 echo "`date \"+%b %d %T\"` ifpoll[$$]: finished (rc $errlv)" # >> $INFO_TTY
[all …]
/freebsd-9-stable/tools/regression/bin/sh/parameters/
Dpositional1.04 [ "$1" = a ] || echo "error at line $LINENO"
5 [ "${1}" = a ] || echo "error at line $LINENO"
6 [ "${1-foo}" = a ] || echo "error at line $LINENO"
7 [ "${1+foo}" = foo ] || echo "error at line $LINENO"
8 [ "$1+foo" = a+foo ] || echo "error at line $LINENO"
9 [ "$10" = a0 ] || echo "error at line $LINENO"
10 [ "$100" = a00 ] || echo "error at line $LINENO"
11 [ "${10}" = j ] || echo "error at line $LINENO"
12 [ "${10-foo}" = j ] || echo "error at line $LINENO"
13 [ "${100-foo}" = foo ] || echo "error at line $LINENO"
/freebsd-9-stable/tools/regression/bin/sh/parser/
Dheredoc4.07 echo "Failed: $*"
13 cat <<EOF && echo `echo bar`
21 cat <<EOF && echo $(echo bar)
29 echo `echo bar` && cat <<EOF
37 echo $(echo bar) && cat <<EOF
/freebsd-9-stable/contrib/gcc/config/arm/
Dt-semi15 echo '#ifdef __SOFTFP__' > fp-bit.c
16 echo '#define FLOAT' >> fp-bit.c
17 echo '#ifndef __ARMEB__' >> fp-bit.c
18 echo '#define FLOAT_BIT_ORDER_MISMATCH' >> fp-bit.c
19 echo '#endif' >> fp-bit.c
21 echo '#endif' >> fp-bit.c
24 echo '#ifdef __SOFTFP__' > dp-bit.c
25 echo '#ifndef __ARMEB__' >> dp-bit.c
26 echo '#define FLOAT_BIT_ORDER_MISMATCH' >> dp-bit.c
27 echo '#define FLOAT_WORD_ORDER_MISMATCH' >> dp-bit.c
[all …]
/freebsd-9-stable/contrib/gcc/config/i386/
Dt-nwld8 echo "module libgcc_s" >$@
11 echo "module libc" >$@
14 echo "start _LibCPrelude" >$@
15 echo "exit _LibCPostlude" >>$@
16 echo "check _LibCCheckUnload" >>$@
19 echo "start POSIX_Start" >$@
20 echo "exit POSIX_Stop" >>$@
21 echo "check POSIX_CheckUnload" >>$@
40 echo "name $(SHLIB_NAME)" >>@shlib_base_name@.def; \
41 echo "version $(version)" | sed "s!\.!,!g" >>@shlib_base_name@.def; \
[all …]
/freebsd-9-stable/usr.bin/tip/libacu/
Dbiz31.c50 static int echo(char *);
77 echo("#\rk$\r$\n"); /* disable auto-answer */ in biz_dialer()
78 echo("$>$.$ #\r"); /* tone/pulse dialing */ in biz_dialer()
79 echo(mod); in biz_dialer()
80 echo("$\r$\n"); in biz_dialer()
81 echo("$>$.$ #\re$ "); /* disconnection sequence */ in biz_dialer()
82 echo(DISCONNECT_CMD); in biz_dialer()
83 echo("\r$\n$\r$\n"); in biz_dialer()
84 echo("$>$.$ #\rr$ "); /* repeat dial */ in biz_dialer()
85 echo(num); in biz_dialer()
[all …]

12345678910>>...28